<?php
/**
 * Mola más - anyadir1.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2010 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2010-06-18
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();

$consulta = "SELECT COUNT(*) FROM $dbTerminos";
$result = $db->query($consulta);
if (!$result) {
    cabecera('Añadir términos 1', CABECERA_SIN_CURSOR);
    print "<p>Error en la consulta.</p>\n";
} elseif ($result->fetchColumn()>=MAX_REG_TERMINOS) {
    cabecera('Añadir términos 1', CABECERA_SIN_CURSOR);
    print "<p>Se ha alcanzado el número máximo de registros que se pueden "
        ."guardar.</p>\n<p>Por favor, borre algún registro antes.</p>\n";
} else { 
    cabecera('Añadir términos 1', CABECERA_CON_CURSOR);
    print "<form action=\"anyadir2.php\" method=\"".FORM_METHOD."\">
  <p>Escriba el nuevo término :</p>
  <table>
    <tbody>
      <tr>
        <td>Término:</td>
        <td><input type=\"text\" name=\"termino\" size=\"".TAM_TERMINO."\" "
        ."maxlength=\"".TAM_TERMINO."\" id=\"cursor\" /></td>
      </tr>
    </tbody>
  </table> 
  <p><input type=\"submit\" value=\"Añadir\" /></p>
</form>\n";
}

$db = NULL; 
pie();
?>
